/*
 * This program was written by Grzegorz Adam Hankiewicz and Carlos Pereda
 * Moreno and is Giftware: you are free to do what you want with it without
 * any restriction. We do not accept responsibility for any effects, adverse
 * or otherwise, that this program may have on you, your computer, your
 * sanity, your dog, and anything else that you can think of. Use it at your
 * own risk.
*/
import java.awt.*;
import java.awt.event.*;

/** Esta clase es el cuadro de dialogo que aparece cuando terminas el nivel.
	*	@see InstDialog Dialog
	*/
class WinDialog extends Dialog implements WindowListener
{
	/** Esta etiqueta (Label) contiene el texto de cabecera".
		*/
	Label txt;	
	/** Este Label es la que contiene el string con el tiempo que has tardado y los puntos conseguidos
		* en la partida.
		*/	
	Label txt2;
	/** Unico constructor de la clase. Recibe como parametro el Frame "padre" y la
		* el tiempo que se ha tardado en completar el ultimo juego.
		*/
	WinDialog (Frame owner,int seconds)
	{
      super (owner, "CochePun v0.0",true);

      switch (GameDialog.estado)
      {

         case (GameDialog.N_STAGE):
		      txt = new Label ("Has salvado "+GamePanel.salvados+" coches en este nivel !!!",Label.CENTER);
		      txt.setFont (new Font ("Arial", Font.BOLD,45));
         break;

         case (GameDialog.GAME_OVER):
		      txt = new Label ("Todos los coches destruidos, juego terminado",Label.CENTER);
		      txt.setFont (new Font ("Arial", Font.BOLD,30));
            CochePun.nivel = CochePun.MAX_MAPA + 1;
         break;
         
         case (GameDialog.FINISHED):
		      txt = new Label ("Has terminado el juego !!!",Label.CENTER);
		      txt.setFont (new Font ("Arial", Font.BOLD,45));
         break;
      }
        txt2 = new Label ("Tu tiempo : "+seconds+" segs. Tus puntos : "+GamePanel.puntos,Label.LEFT);
        setLayout (new BorderLayout (5,5));

        add ("North",txt);
        add ("South",txt2);
        addWindowListener (this);
        pack ();
        show ();
	}
	/** Sin comentarios */
	public void windowClosing (WindowEvent e)
	{
		dispose ();
	};
		
	/** Sin comentarios */
	public void windowOpened (WindowEvent e){};
	/** Sin comentarios */	
	public void windowActivated (WindowEvent e){};
	/** Sin comentarios */	
	public void windowClosed (WindowEvent e){};
	/** Sin comentarios */	
	public void windowDeiconified (WindowEvent e){};
	/** Sin comentarios */	
	public void windowDeactivated (WindowEvent e){};
	/** Sin comentarios */	
	public void windowIconified (WindowEvent e){};		
	
}
	